Native OpenAI format
curl --request POST \
--url https://api.gravitex.ai/v1/embeddings \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {},
"encoding_format": "<string>",
"dimensions": 123
}
'import requests
url = "https://api.gravitex.ai/v1/embeddings"
payload = {
"model": "<string>",
"input": {},
"encoding_format": "<string>",
"dimensions": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', input: {}, encoding_format: '<string>', dimensions: 123})
};
fetch('https://api.gravitex.ai/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Completions & Embeddings
Embeddings (OpenAI format)
POST /v1/embeddings text embeddings
POST
/
v1
/
embeddings
Native OpenAI format
Introduction
Convert text to vector embeddings for semantic search, similarity, and clustering. Compatible with the OpenAI Embeddings API.Authentication
string
required
Bearer Token, e.g.
Bearer sk-xxxxxxxxxxRequest body
string
required
Model name, e.g.
text-embedding-3-small, text-embedding-3-large, text-embedding-ada-002string | array
required
Text to embed (string or array of strings)
string
default:"float"
float or base64integer
Output dimensions (some models only)
Example
curl https://api.gravitex.ai/v1/embeddings \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"model": "text-embedding-3-small",
"input": "Hello, world"
}'
Python example
from openai import OpenAI
client = OpenAI(
api_key="sk-xxxxxxxxxx",
base_url="https://api.gravitex.ai/v1"
)
response = client.embeddings.create(
model="text-embedding-3-small",
input="Hello, world"
)
print(response.data[0].embedding)
Supported models
| Model | Dimensions | Notes |
|---|---|---|
| text-embedding-3-small | 1536 | Cost-effective |
| text-embedding-3-large | 3072 | High precision |
| text-embedding-ada-002 | 1536 | Legacy |
- Pass an array to
inputfor batch embedding - Some models support custom
dimensions
âI
